{
	"name": "table/common/audit.log.json",
	"table_name": "audit.log",
	"table_prefix": "alog",
	"record_type": [""],
	"table_name_language": {
		"": "Audit log"
	},
	"audit": false,
	"default_field": "none",
	"default_order": [
		{
			"field": "record_id",
			"order": "<"
		}
	],
	"field": [
		{
			"constraint": ["primary key"],
			"field_name": "record_id",
			"field_type": "bigint"
		},
		{
			"field_name": "table_name",
			"field_type": "text"
		},
		{
			"field_name": "diff",
			"field_type": "jsonb"
		},
		{
			"field_name": "client_query",
			"field_type": "text"
		},
		{
			"field_name": "action",
			"field_type": "text"
		},
		{
			"field_name": "original",
			"field_type": "jsonb"
		},
		{
			"field_name": "action_tstamp_tx",
			"field_type": "timestamp"
		},
		{
			"field_name": "action_tstamp_stm",
			"field_type": "timestamp"
		},
		{
			"field_name": "action_tstamp_clk",
			"field_type": "timestamp"
		},
		{
			"field_name": "application_name",
			"field_type": "text"
		},
		{
			"field_name": "session_user",
			"field_type": "text",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "login_id",
					"linked_table": "person"
				}
			]
		},
		{
			"field_name": "application_user",
			"field_type": "text",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "login_id",
					"linked_table": "person"
				}
			]
		},
		{
			"field_name": "statement_only",
			"field_type": "boolean"
		},
		{
			"field_name": "schema_name",
			"field_type": "text"
		},
		{
			"field_name": "relid",
			"field_type": "bigint"
		},
		{
			"field_name": "client_addr",
			"field_type": "text"
		},
		{
			"field_name": "client_port",
			"field_type": "integer"
		},
		{
			"field_name": "transaction_id",
			"field_type": "bigint"
		}
	],
	"extra_field": [
		{
			"field_name": "original.record_id",
			"field_type": "text"
		},
		{
			"field_name": "original.json_data",
			"field_type": "text"
		},
		{
			"field_name": "original.json_data.company_id",
			"field_type": "text"
		},
		{
			"field_name": "original.json_data.keyword2",
			"field_type": "text"
		},
		{
			"field_name": "diff.json_data",
			"field_type": "text"
		},
		{
			"field_name": "diff.json_data.company_id",
			"field_type": "text"
		},
		{
			"field_name": "diff.json_data.keyword2",
			"field_type": "text"
		}
	]
}
